%global srcname hid
%global forgeurl https://github.com/apmorton/pyhidapi
# This corresponds to 1.0.5 on PyPI
%global commit 7272e7d1eafa38f80ddf1b719f4fa513fefd8f4e

Name:           python-%{srcname}
Version:        1.0.5
Release:        %autorelease
Summary:        Python ctypes bindings for hidapi

License:        MIT
URL:            https://github.com/apmorton/pyhidapi
Source:         %{pypi_source}
# https://github.com/apmorton/pyhidapi/pull/44
Source:         %{forgeurl}/raw/%{commit}/LICENSE

BuildArch:      noarch
BuildRequires:  hidapi-devel
BuildRequires:  python3-devel
BuildRequires:  sed

%global _description %{expand:
This package provides Python bindings for hidapi using ctypes.}

%description %_description

%package -n     python3-%{srcname}
Summary:        %{summary}
Requires:       hidapi

%description -n python3-%{srcname} %_description

%prep
%autosetup -p1 -n %{srcname}-%{version}

# Fix end of line encoding and permissions
sed -i 's/\r$//' README.md
chmod -x README.md

# Copy license file
cp -p %SOURCE1 .

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pyproject_check_import

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
%autochangelog
